﻿'
' Copyright (c) 2009-2015, MindFusion LLC - Bulgaria.
'
Imports MindFusion.Scheduling.WebForms
Imports MindFusion.Scheduling

Partial Public Class _Default
	Inherits System.Web.UI.Page
	Private now As DateTime = DateTime.Now

	Protected Sub Page_Load(ByVal sender As Object, ByVal e As EventArgs) Handles Me.Load
		If Not IsPostBack Then
			'set today to be calendar's date
			Calendar1.[Date] = DateTime.Today
			Calendar1.TimetableSettings.Dates.Clear()
			Calendar1.TimetableSettings.Dates.Add(New TimetableDate(DateTime.Today))

			' Turn on AutoPostBack
			Calendar1.AutoPostBack = True

			'add an item to the schedule
			Dim app As New Appointment()
			app.StartTime = Calendar1.[Date]
			app.EndTime = app.StartTime.AddDays(1)
			app.AllDayEvent = True
			app.HeaderText = "APP"
			Calendar1.Schedule.Items.Add(app)
		End If
	End Sub


	Protected Function ToMilliseconds(ByVal [date] As DateTime) As String
		Dim theDate As String = [date].ToString("HH:mm:ss:fff")
		Return theDate
	End Function

	'Tested event handlers

	Protected Sub Calendar1_ItemCreated(ByVal sender As Object, ByVal e As ItemEventArgs) Handles Calendar1.ItemCreated
		lbEvents.Items.Insert(0, ToMilliseconds(now) & " Server event fired: ItemCreated")
	End Sub
	Protected Sub Calendar1_ItemDeleted(ByVal sender As Object, ByVal e As ItemEventArgs) Handles Calendar1.ItemDeleted
		lbEvents.Items.Insert(0, ToMilliseconds(now) & " Server event fired: ItemDeleted")
	End Sub

	Protected Sub Calendar1_ItemModified(ByVal sender As Object, ByVal e As ItemModifiedEventArgs) Handles Calendar1.ItemModified
		lbEvents.Items.Insert(0, ToMilliseconds(now) & " Server event fired: ItemModified")
	End Sub

	Protected Sub Calendar1_ItemInplaceEdited(ByVal sender As Object, ByVal e As ItemEventArgs) Handles Calendar1.ItemInplaceEdited
		lbEvents.Items.Insert(0, ToMilliseconds(now) & " Server event fired: ItemInplaceEdited")
	End Sub

	Protected Sub Calendar1_VisibleDateChanged(ByVal sender As Object, ByVal e As DateChangedEventArgs) Handles Calendar1.VisibleDateChanged
		lbEvents.Items.Insert(0, ToMilliseconds(now) & " Server event fired: VisibleDateChanged")
	End Sub

	Protected Sub ddlViews_SelectedIndexChanged(ByVal sender As Object, ByVal e As EventArgs) Handles ddlViews.SelectedIndexChanged
		Select Case ddlViews.SelectedIndex
			Case 0
				If True Then
					Calendar1.CurrentView = CalendarView.SingleMonth
					Exit Select
				End If
			Case 1
				If True Then
					Calendar1.CurrentView = CalendarView.Timetable
					Exit Select
				End If
		End Select
	End Sub

	Protected Sub btnClearList_Click(ByVal sender As Object, ByVal e As EventArgs) Handles btnClearList.Click
		lbEvents.Items.Clear()
	End Sub

	Protected Sub CheckBox1_CheckedChanged(ByVal sender As Object, ByVal e As EventArgs) Handles CheckBox1.CheckedChanged
		Calendar1.AutoPostBack = CheckBox1.Checked
	End Sub

End Class
